<?php
$form = $this->form;
$form->setAttribute('action', $this->url() . '/form_pagegedung');
$form->setAttribute("id", "demo-form");
$form->setAttribute("class", "form-horizontal pad15L pad15R pad15T");
$form->setAttribute("data-parsley-validate", "data-parsley-validate");
$form->setAttribute('enctype', 'multipart/form-data');
$form->prepare();
?>

<style type="text/css">
    blink, .blink {
        -webkit-animation: blink 1s step-end infinite;
        -moz-animation: blink 1s step-end infinite;
        -o-animation: blink 1s step-end infinite;
        animation: blink 1s step-end infinite;
    }

    @-webkit-keyframes blink {
        67% { opacity: 0 }
    }

    @-moz-keyframes blink {
        67% { opacity: 0 }
    }

    @-o-keyframes blink {
        67% { opacity: 0 }
    }

    @keyframes blink {
        67% { opacity: 0 }
    }
</style>
<div id="page-content-wrapper" style="font-size:12px">
    <div id="page-content" style="background-color: #DFF0D8">
        <div class="panel panel-primary">
            <div class="panel-heading">
                <h4 class="panel-title">
                    Pendataan <?= $datapendaftaran['s_namajenis'] ?><b class="blink" style="font-size: 12px; color: red"><?= $message ?></b>
                </h4>
            </div>
            <div class="panel-body">
                <div class="example-box-wrapper">
                    <div class="row">
                        <div class="col-md-12">
                            &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<span style="text-align:right; background:black; color: orange; padding: 10px 10px; font-size: 16px; font-weight:bolder"><?= $datapendaftaran['t_npwpd'] ?></span>
                        </div>
                    </div>
                    <?= $this->form()->openTag($form) ?>
                    <div class="row">
                        <div class="col-sm-12">
                            <div class="alert alert-info">
                                <div class="alert-content">
                                    <h4 class="alert-title"><b style="color: #000099">Data WR</b></h4>
                                </div>
                            </div>
                        </div>
                        <div class="col-sm-12">
                            <label class="col-sm-2">NIK</label>
                            <div class="col-sm-4">
                                : <?= $datapendaftaran['t_nik'] ?>
                            </div>
                        </div>
                        <div class="col-sm-12">
                            <label class="col-sm-2">Nama</label>
                            <div class="col-sm-4">
                                : <?= $datapendaftaran['t_nama'] ?>
                            </div>
                        </div>
                        <div class="col-sm-12">
                            <label class="col-sm-2">Alamat</label>
                            <div class="col-sm-10">
                                : <?= $datapendaftaran['t_alamat'] ?>
                                ,RT. <?= $datapendaftaran['t_rt'] ?>
                                ,RW. <?= $datapendaftaran['t_rw'] ?>
                                ,Desa/Kel. <?= $datapendaftaran['s_namakel'] ?>
                                ,Kec. <?= $datapendaftaran['s_namakec'] ?>
                                ,Kab. <?= $datapendaftaran['t_kabupaten'] ?>
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-sm-12">
                            <div class="alert alert-info">
                                <div class="alert-content">
                                    <h4 class="alert-title"><b style="color: #000099">Data OR</b></h4>
                                </div>
                            </div>
                        </div>
                        <div class="col-sm-12">
                            <label class="col-sm-2">NIOP</label>
                            <div class="col-sm-4">
                                : <?= $datapendaftaran['t_nop'] ?>
                            </div>
                        </div>
                        <div class="col-sm-12">
                            <label class="col-sm-2">Nama</label>
                            <div class="col-sm-4">
                                : <?= $datapendaftaran['t_namaobjek'] ?>
                            </div>
                        </div>
                        <div class="col-sm-12">
                            <label class="col-sm-2">Alamat</label>
                            <div class="col-sm-10">
                                : <?= $datapendaftaran['t_alamatobjek'] ?>
                                ,RT. <?= $datapendaftaran['t_rtobjek'] ?>
                                ,RW. <?= $datapendaftaran['t_rwobjek'] ?>
                                ,Desa/Kel. <?= $datapendaftaran['s_namakelobjek'] ?>
                                ,Kec. <?= $datapendaftaran['s_namakecobjek'] ?>
                                ,Kab. <?= $datapendaftaran['t_kabupatenobjek'] ?>
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-sm-12">
                            <div class="alert alert-warning">
                                <div class="alert-content">
                                    <h4 class="alert-title"><b style="color: #000099">Data Pendataan</b></h4>
                                </div>
                            </div>
                        </div>
                        <div class="col-sm-12">
                            <label class="col-sm-2 control-label">Nomor SPTPD</label>
                            <div class="col-sm-2">
                                <input type="hidden" name="t_jenisobjekpajak" value="<?= $datapendaftaran['t_jenisobjek'] ?>">
                                <?= $this->formHidden($form->get("t_idtransaksi")) ?>
                                <?= $this->formHidden($form->get("t_idobjek")) ?>
                                <?= $this->formHidden($form->get("t_jenispajak")) ?>
                                <?= $this->formText($form->get("t_nourut")) ?>
                            </div>
                        </div>
                        <div class="col-sm-12">
                            <label class="col-sm-2 control-label">Periode Pajak</label>
                            <div class="col-sm-2">
                                <div class="input-prepend input-group">
                                    <span class="add-on input-group-addon">
                                        <i class="glyph-icon icon-calendar"></i>
                                    </span>
                                    <?= $this->formText($form->get("t_periodepajak")) ?>
                                </div>
                            </div>
                        </div>
                        <div class="col-sm-12">
                            <label class="col-sm-2 control-label">Tanggal Pendataan</label>
                            <div class="col-sm-2">
                                <div class="input-prepend input-group">
                                    <span class="add-on input-group-addon">
                                        <i class="glyph-icon icon-calendar"></i>
                                    </span>
                                    <?= $this->formText($form->get("t_tglpendataan")) ?>
                                </div>
                            </div>
                        </div>
                        <div class="col-sm-12">
                            <label class="col-sm-2 control-label">Masa Pajak</label>
                            <div class="col-sm-2">
                                <div class="input-prepend input-group">
                                    <span class="add-on input-group-addon">
                                        <i class="glyph-icon icon-calendar"></i>
                                    </span>
                                    <?= $this->formText($form->get("t_masaawal")) ?>
                                </div>
                            </div>
                            <label class="col-sm-1 control-label">S/D</label>
                            <div class="col-sm-2">
                                <div class="input-prepend input-group">
                                    <span class="add-on input-group-addon">
                                        <i class="glyph-icon icon-calendar"></i>
                                    </span>
                                    <?= $this->formText($form->get("t_masaakhir")) ?>
                                </div>
                            </div>
                        </div>
                        <div class="col-sm-12">
                            <label class="col-sm-2 control-label">Kode Rekening</label>
                            <div class="col-sm-2">
                                <?= $this->formHidden($form->get("t_idkorek")) ?>
                                <?= $this->formText($form->get("t_korek")) ?>
                            </div>
                            <div class="col-sm-1"><button type="button" class="btn btn-sm btn-primary" onclick="bukamodalRekening()"><span class="glyph-icon icon-search"></span></button></div>
                        </div>
                        <div class="col-sm-12">
                            <label class="col-sm-2 control-label">Nama Rekening</label>
                            <div class="col-sm-4">
                                <?= $this->formText($form->get("t_namakorek")) ?>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-xs-12">
                                <div class="box box-danger">
                                    <div class="box-header with-border">
                                        <span class="btn btn-sm btn-danger" id="tambahDetail">Tambah</span>
                                    </div>
                                    <div class="box-body">
                                        <table class="table table-bordered table-striped table-condensed cf" style='font-size:11px; color: black'>
                                            <tr>
                                                <th style='background-color: #00BCA4; color: white; text-align:center'>Jenis</th>
                                                <th style='background-color: #00BCA4; color: white; text-align:center'>Tarif</th>
                                                <th style='background-color: #00BCA4; color: white; text-align:center'>Jumlah (Hari/Jam)</th>
                                                <th style='background-color: #00BCA4; color: white; text-align:center'>Total</th>
                                                <th style='background-color: #00BCA4; color: white; text-align:center'>Hapus</th>
                                            </tr>
                                            <input type="hidden" id="idl" value="1">
                                            <tbody id="add_Detail"></tbody>
                                        </table>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="col-sm-12">
                            <label class="col-sm-2 control-label">Total Pajak (Rp.)</label>
                            <div class="col-sm-4">
                                <?= $this->formText($form->get("t_jmlhpajak")) ?>
                            </div>
                        </div>
                    </div>
                    <div class="bg-default" id="tombolsimpan">
                        <?= $this->formInput($form->get('Pendataansubmit')) ?> 
                    </div>
                    <?= $this->form()->closeTag($form) ?>
                </div>
            </div>
        </div>
    </div>
</div>
<div class="modal fade" id="modalRekening" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
    <div class="modal-dialog modal-lg">
        <div class="modal-content">
            <div class="modal-header bg-warning">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                <h4 class="modal-title" id="myModalLabel"><b>Data Rekening</b></h4>
            </div>
            <div class='modal-body'>
                <input type="hidden" id="t_jenisobjek" value="<?= $datapendaftaran['t_jenisobjek'] ?>">
                <div>
                    <table class="table table-condensed table-bordered cf" style="font-size: 11px; color: black">
                        <thead class="cf">
                            <tr class="bg-blue">
                                <th style="background-color: #00BCA4; color: white; text-align: center">
                                    Kode Rekening
                                </th>
                                <th style="background-color: #00BCA4; color: white; text-align: center">
                                    Nama Rekening
                                </th>
                                <th style="background-color: #00BCA4; color: white; text-align: center">
                                    Tarif
                                </th>
                                <th style="background-color: #00BCA4; color: white; text-align: center">
                                    Pilihan
                                </th>
                            </tr>
                            <tr>
                                <td>
                                    <input type="text" id="korek" class="form-control input-sm" onkeyup="calldataGridRekening()">
                                </td>
                                <td>
                                    <input type="text" id="s_namakorek" class="form-control input-sm" onkeyup="calldataGridRekening()">
                                </td>
                                <td>
                                    <input type="text" id="s_persentarifkorek" class="form-control input-sm" onkeyup="calldataGridRekening()">
                                </td>
                                <td></td>
                            </tr>
                        </thead>
                        <tbody id="listrekening">
                        </tbody>
                        <tfoot>              
                            <tr>
                                <td colspan="4" class="text-center">
                                    <div class="row">
                                        <div class="col-sm-4 text-left">Jumlah Baris Ditampilkan: <input type="text" id="rows" style="width: 20%" class="text-center" value="10"></div>
                                        <div class="col-sm-3">
                                            <a href="#" onclick="calldataGridRekening(1);
                                                    return false;"><span class="glyphicon glyphicon-step-backward" aria-hidden="true"></span></a>

                                            <input type="text" id="page" value="1" style="width: 20%" class="text-center">

                                            <a href="#" onclick="calldataGridRekening(2);
                                                    return false;"><span class="glyphicon glyphicon-step-forward" aria-hidden="true"></span></a>
                                        </div>
                                        <div class="col-sm-5 text-right">
                                            <p>Jumlah Data <span id="total_data"></span>&nbsp;Jumlah Halaman <span id="total_halaman"></span></p>                                    
                                        </div>
                                    </div>
                                </td>
                            </tr>
                        </tfoot>
                    </table>
                </div>
            </div>
        </div>
    </div>
</div>
<script>
    function calldataGridRekening(direction) {
        dataGridRekening($("#page").val(), $("#rows").val(), direction);
    }

    function dataGridRekening(page, row, direction) {
        $.post('<?= $this->url() ?>/dataGridRekening/' + null + '/' + page + '/' + row + '/' + direction + '?korek=' + $("#korek").val() + "&s_namakorek=" + $("#s_namakorek").val() + "&s_persentarifkorek=" + $("#s_persentarifkorek").val() + "&t_jenisobjek=" + $("#t_jenisobjek").val(), function (data) {
            var aa = JSON.parse(data);
            $("#listrekening").html(aa.grid);
            $("#rows").val(aa.rows);
            $("#page").val(aa.page);
            $("#total_data").html(": " + aa.count);
            $("#total_halaman").html(": " + aa.total_halaman);
        });
    }

    function bukamodalRekening() {
        calldataGridRekening();
        $('#modalRekening').modal('show');
    }

    function pilihRekening(a) {
        $.post('<?= $this->url() ?>/pilihRekening', {s_idkorek: a}, function (data) {
            var aa = JSON.parse(data);
            $('#t_idkorek').val(aa.t_idkorek);
            $('#t_korek').val(aa.t_korek);
            $('#t_namakorek').val(aa.t_namakorek);
            $('#t_tarifpajak').val(aa.t_tarifpajak);
            $('#modalRekening').modal('hide');
        });
    }

    function caritarifgedung(a) {
        $.post('<?= $this->url() ?>/caritarifgedung', {t_idtarifgedung: $('#t_idtarifgedung' + a).val()}, function (data) {
            var aa = JSON.parse(data);
            $('#t_tarif' + a).val(aa.t_tarif);
        });
    }

    function hitungretgedung(a) {
        $.post('<?= $this->url() ?>/hitungretgedung', {t_tarif: $('#t_tarif' + a).val(), t_jumlah: $('#t_jumlah' + a).val()}, function (data) {
            var aa = JSON.parse(data);
            $('#t_total' + a).val(aa.t_total);
        });
        setTimeout(function () {
            hitungtotalretgedung();
        }, 1000);
    }

    function hitungtotalretgedung() {
        $.post('<?= $this->url() ?>/hitungtotalretgedung', {t_total1: $('#t_total1').val(), t_total2: $('#t_total2').val(), t_total3: $('#t_total3').val(), t_total4: $('#t_total4').val(), t_total5: $('#t_total5').val(), t_total6: $('#t_total6').val(), t_total7: $('#t_total7').val()}, function (data) {
            var aa = JSON.parse(data);
            $('#t_jmlhpajak').val(aa.t_jmlhpajak);
        });
    }

    $(document).ready(function () {
        $("#tambahDetail").click(function () {
            var idl = document.getElementById("idl").value;
            $("#add_Detail").append(
                    '<tr id="detailnode' + idl + '">' +
                    '<td>' +
                    '<input type="hidden" id="t_idgedung' + idl + '" name="t_idgedung[]">' +
                    '<select name="t_idtarifgedung[]" id="t_idtarifgedung' + idl + '" class="form-control" onchange="caritarifgedung(' + idl + ')">' +
                    '<option value="">Silahkan Pilih</option>' +
<?php foreach ($tarifgedung as $row) { ?>
                '<option value="<?= $row['s_idtarif'] ?>"><?= $row['s_namatarif'] ?></option>' +
<?php } ?>
            '</select>' +
            '</td>' +
                    '<td>' +
                    '<input class="form-control" name="t_tarif[]" id="t_tarif' + idl + '" style="text-align:right">' +
                    '</td>' +
                    '<td>' +
                    '<input class="form-control" name="t_jumlah[]" id="t_jumlah' + idl + '" style="text-align:right"  onKeyPress="return numbersonly(this, event);" onchange="this.value = formatCurrency(this.value); hitungretgedung(' + idl + ')" onblur ="this.value = formatCurrency(this.value); hitungretgedung(' + idl + ');" onkeyup="this.value = formatCurrency(this.value); hitungretgedung(' + idl + ');">' +
                    '</td>' +
                    '<td>' +
                    '<input class="form-control" name="t_total[]" id="t_total' + idl + '" style="text-align:right" readonly="true">' +
                    '</td>' +
                    '<td>' +
                    '<span class="btn btn-xs btn-danger" onclick="removetr(' + idl + ')"><span class="glyph-icon icon-trash"></span></span>' +
                    '</td>' +
                    '</tr>'
                    );
            idl = (idl - 1) + 2;
            document.getElementById("idl").value = idl;
        });
    });

    function removetr(a) {
        $("#detailnode" + a).remove();
    }
</script>             
